Endpoint to get data of a specific merchant, such as basic info, menus, and services.
- this endpoint can optionally require an apiKey for authentication, and the Software Service that hosts the endpoint can decide whether it is needed.
- The Software Service can pass the data through the PUT /v1/merchantOnboarding endpoint.
- The endpoint is designed so that each merchant has its own URL.
- The specification recommends that the endpoint ends with the
/merchantroute, but this is not mandatory. TheSoftware Servicecan implement the URL in any way it sees fit, as long as it contains information from only one merchant.
An item must have either a delivery price or a pickup price. Currently, item with only
indoorprice is not permitted.
HOST: SOFTWARE SERVICE
DIRECTION:

- https://api.example.comhttps://api.example.com/v1/merchant
curl -i -X GET \
https://api.example.com/v1/merchant \
-H 'X-API-KEY: YOUR_API_KEY_HERE'Successful returns Merchant information.
The last modified date and time in ISO timestamp format but with type String. This should be used in conjuction of the TTL field to update the information on the ordering aplication. (UTC date-time in ISO timestamp format. See Guidelines for more info)."
Keeta does not support this field and will be ignored.
Time to Live (in seconds).
- Min: 500
- Max: 86400
A new request must be done when the TTL expires.
Keeta does not support this field and will be ignored.
Unique Identifier. Identifies the merchant in the different systems that the merchant will communicate.
This id must be generated by the merchant's Software Service.
The software service should ensure that merchantId is unique.
If this is not possible, it is recommended to at least use a UUID.
Indicates if the Merchant is Available or Unavailable. Only use this type when you must close (disable) the merchant due to an unexpected event and you don't know when the service will be re-established (e.g. do not use for holidays).
A required entity to implement. Describes basic info of a merchant.
A required entity to implement. Describes food ordering services details for a merchant.
A required entity to implement. Describes an array of sections in the menu where ItemOffers will be showed.
A required entity to implement. Describes an array of offers for the Items.
A required entity to implement. Describes an array of items. To be used with an ItemOffer or an Option.
An optional entity to implement. Describes additional options of an ItemOffer.
An optional entity to implement. Describes the time period during which a Category or an ItemOffer entity is served.
Note:
Our current menu model supports the following options for configuring product availability:
1. Specific date ranges defined by the startDate and endDate fields
2. A weekly schedule defined by the hours array
Combination of 1 and 2 are not supported.
{ "lastUpdate": "2021-05-27T20:45:10.332Z", "TTL": 500, "id": "22815773000169-dbc7e35a-c936-4665-9e13-eb55eb8b6824", "status": "AVAILABLE", "basicInfo": { "name": "Pizza Plaza", "document": "22815773000169", "corporateName": "Food Company", "description": "Food company specializing in pizzas.", "averageTicket": 90, "averagePreparationTime": 20, "minOrderValue": { … }, "merchantType": "RESTAURANT", "merchantCategories": [ … ], "address": { … }, "contactEmails": [ … ], "contactPhones": { … }, "logoImage": { … }, "bannerImage": { … }, "createdAt": "2021-05-10T20:45:10.332Z" }, "services": [ { … } ], "items": [ { … }, { … }, { … }, { … }, { … } ], "menus": [ { … } ], "categories": [ { … }, { … } ], "itemOffers": [ { … }, { … } ], "optionGroups": [ { … }, { … } ], "availabilities": [ { … } ] }